Summary:	A News Aggregator For RSS/RDF Feeds For GTK/GNOME
Name:		liferea
Version:	1.10.19
Release:	%mkrel 1
Epoch:		1
License:	GPLv2+
Group:		Networking/News
URL:		http://lzone.de/liferea/
Source0:	https://github.com/lwindolf/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch0:		liferea-1.10.2-drop-commented-req.patch
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.28.2
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.27
BuildRequires:	pkgconfig(libxslt) >= 1.1.19
BuildRequires:	pkgconfig(pango) >= 1.4.0
BuildRequires:	pkgconfig(sqlite3) >= 3.7.0
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext-devel

Requires:	python-gi
Requires:	gsettings-desktop-schemas

Recommends:	dconf

%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%prep
%setup -q
%autopatch -p1

# Add Planet Mageia feed
sed -i -e 's@^\(.*http://planet\.gnome\.org.*\)$@\1\n\t\t\t\t<outline text="Planet Mageia" htmlUrl="http://planet.mageia.org/" xmlUrl="http://planet.mageia.org/en/?type=atom10" />@' opml/*.opml

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK;GNOME" \
  --remove-category="Feed" \
  --set-key="Version" \
  --set-value="1.0" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icons
%__mkdir_p %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
install -D -m 644 pixmaps/16x16/liferea.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 pixmaps/32x32/liferea.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 pixmaps/48x48/liferea.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}
%_mandir/man1/*
%lang(pl) %_mandir/pl/man1/liferea.1*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_libdir}/%{name}/girepository-1.0/Liferea-3.0.typelib
%{_libdir}/%{name}/plugins/*
%{_datadir}/glib-2.0/schemas/net.sf.liferea.gschema.xml
%{_datadir}/appdata/liferea.appdata.xml
%{_datadir}/GConf/gsettings/liferea.convert




%changelog
* Fri Apr 15 2016 julien <julien> 1:1.10.19-1.mga6
+ Revision: 1002826
- new version 1.10.19

  + luigiwalser <luigiwalser>
    - back to webkit1 for now
    - try building with webkit2

* Mon Feb 15 2016 umeabot <umeabot> 1:1.10.17-2.mga6
+ Revision: 961248
- Mageia 6 Mass Rebuild

* Tue Nov 03 2015 julien <julien> 1:1.10.17-1.mga6
+ Revision: 897653
- new version 1.10.17

* Sun Aug 16 2015 julien <julien> 1:1.10.16-2.mga6
+ Revision: 865154
- add required dependencies gsettings-desktop-schemas
- add weak dependencies on dconf to be sure settings are saved

* Sun Jul 19 2015 julien <julien> 1:1.10.16-1.mga6
+ Revision: 855211
- new version 1.10.16
- correct version not found in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1:1.10.11-3.mga5
+ Revision: 748475
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.10.11-2.mga5
+ Revision: 681924
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 julien <julien> 1:1.10.11-1.mga5
+ Revision: 668894
- new version 1.10.11

* Sun Jul 06 2014 julien <julien> 1:1.10.9-1.mga5
+ Revision: 650032
- new version 1.10.9

* Wed Mar 26 2014 julien <julien> 1:1.10.8-1.mga5
+ Revision: 608827
- new version 1.10.8

* Thu Jan 16 2014 julien <julien> 1:1.10.5-1.mga4
+ Revision: 566705
- new version 1.10.5

* Sat Nov 02 2013 fwang <fwang> 1:1.10.3-3.mga4
+ Revision: 548925
- add requires on python-gi

* Mon Oct 21 2013 umeabot <umeabot> 1:1.10.3-2.mga4
+ Revision: 540511
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 julien <julien> 1:1.10.3-1.mga4
+ Revision: 493753
- new version 1.10.3

* Sun Sep 08 2013 fwang <fwang> 1:1.10.2-2.mga4
+ Revision: 475813
- drop commented requires on gst

* Sat Sep 07 2013 julien <julien> 1:1.10.2-1.mga4
+ Revision: 475712
- new version 1.10.2

* Sat Aug 03 2013 fwang <fwang> 1:1.10.1a-1.mga4
+ Revision: 462863
- drop invalid feed category
- new version 1.10.1a

  + julien <julien>
    - new version 1.10.0

* Tue Jun 25 2013 julien <julien> 1:1.8.15-1.mga4
+ Revision: 446601
- new version 1.8.15

* Thu Jun 20 2013 julien <julien> 1:1.8.14-2.mga4
+ Revision: 445282
- new version 1.8.14

* Sat Jan 12 2013 umeabot <umeabot> 1:1.8.12-2.mga3
+ Revision: 358764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 julien <julien> 1:1.8.12-1.mga3
+ Revision: 338295
- update to new version 1.8.12
- update to version 1.8.11

* Tue Dec 25 2012 fwang <fwang> 1:1.8.11-1.mga3
+ Revision: 334846
- new version 1.8.11

* Wed Oct 31 2012 julien <julien> 1:1.8.10-1.mga3
+ Revision: 311790
- upgrade to new version 1.8.10

* Fri Oct 05 2012 julien <julien> 1:1.8.9-1.mga3
+ Revision: 302950
- new version 1.8.9

* Sat Sep 01 2012 julien <julien> 1:1.8.8-1.mga3
+ Revision: 286934
- new version 1.8.8

* Tue Aug 21 2012 julien <julien> 1:1.8.7-1.mga3
+ Revision: 282955
- new version 1.8.7

* Fri Jun 15 2012 julien <julien> 1:1.8.6-1.mga3
+ Revision: 260869
- new release 1.8.6
- drop patch0, merged upstream

* Fri Jun 08 2012 julien <julien> 1:1.8.5-2.mga3
+ Revision: 257984
- add patch0 from Sven Hartge to fix endless growing of the
  Write-Ahead Log of sqlite (could quickly grow to hundred of megabytes)

* Mon Jun 04 2012 fwang <fwang> 1:1.8.5-1.mga3
+ Revision: 253845
- new version 1.8.5

* Wed Mar 28 2012 julien <julien> 1:1.8.4-1.mga2
+ Revision: 227362
- update to version 1.8.4

* Sat Mar 24 2012 julien <julien> 1:1.8.3-1.mga2
+ Revision: 226047
- new version 1.8.3 (fix big freeze with updating feed)
- drop merged patch0

* Mon Mar 05 2012 julien <julien> 1:1.8.1-1.mga2
+ Revision: 219293
- add a requires on gettext-devel since we reconfigure and it's not pulled by intltool anymore
- update to v1.8.1
- add patch0 from opensuse to fix compilation following the removal of avahi support

* Sat Dec 10 2011 julien <julien> 1:1.8.0-1.mga2
+ Revision: 180286
- update to 1.8.0 final

* Sat Nov 26 2011 julien <julien> 1:1.8-0.RC2.1.mga2
+ Revision: 172280
- update to version 1.8 RC2
- drop patch0
- clean list of BR
- clean up spec a bit

  + mikala <mikala>
    - Use pkgconfig() for buildrequires
    - Remove libgnutls-devel as BR (it's not used at all the ssl functionnality is provided by glib-networking)
    - Rebuild for gnutls 3.0

* Mon Jul 18 2011 fwang <fwang> 1:1.6.6b-1.mga2
+ Revision: 125910
- new version 1.6.6b

* Tue Jun 21 2011 dmorgan <dmorgan> 1:1.6.5-3.mga2
+ Revision: 111134
- Rebuild against new webkit

* Sun Jun 19 2011 ahmad <ahmad> 1:1.6.5-2.mga2
+ Revision: 109581
- Add a patch to fix the build with libnotify-0.7
- Fix the planet.mageia.org feed url (mga#1625)

* Sun Feb 27 2011 dmorgan <dmorgan> 1:1.6.5-1.mga1
+ Revision: 61168
- Fix file list
- Remove mdv macros
  Add mageia planet
- imported package liferea

